Sandboxes
Get Image
Returns the image’s build status and latest successful digest, if available. Failed builds include a failure_reason. Use Build Image (POST /api/images) to retry interrupted builds.
GET
/
api
/
images
/
{image_id}
Get a sandbox image
curl --request GET \
--url https://control.green.us-east-1.aws.prod.archil.com/api/images/{image_id} \
--header 'Authorization: <api-key>'import requests
url = "https://control.green.us-east-1.aws.prod.archil.com/api/images/{image_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://control.green.us-east-1.aws.prod.archil.com/api/images/{image_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"image_id": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"source": "ghcr.io/acme/agent-runtime:v2",
"private": true,
"status": "ready",
"digest": "sha256:abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456789",
"canonical_source": "ghcr.io/acme/agent-runtime@sha256:abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456789",
"created_at": "2026-10-06T12:00:00Z",
"updated_at": "2026-10-06T12:01:00Z"
}
}Was this page helpful?
Get a sandbox image
